Skip to main content
`Ctrl`+`K`

# scipy.special.log_wright_bessel

scipy.special.log_wright_bessel(a, b, x, out=None) = <ufunc 'log_wright_bessel'>

  Natural logarithm of Wright’s generalized Bessel function, see `wright_bessel`. This function comes in handy in particular for large values of x.

  Parameters:
    a array_like of float

      a >= 0

    b array_like of float

      b >= 0

    x array_like of float

      x >= 0

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Value of the logarithm of Wright’s generalized Bessel function

  Notes

  Due to the complexity of the function with its three parameters, only non-negative arguments are implemented.

  Added in version 1.14.0.

  Examples

      >>> from scipy.special import log_wright_bessel
      >>> a, b, x = 1.5, 1.1, 2.5
      >>> log_wright_bessel(a, b, x)
      1.1947654935299217